Package ru.bitel.bgbilling.modules.enaza.server.bean

# Class EnazaTransactionDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.enaza.server.bean.EnazaTransactionDao

public class EnazaTransactionDao extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnazaTransactionDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteForContract(int contractId)`
  `EnazaTransaction`
  `get(long orderId)`
  `List<EnazaTransaction>`
  `getList(int cid)`
  `void`
  `update(EnazaTransaction enazaTransaction)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EnazaTransactionDao

    public EnazaTransactionDao(Connection con, int moduleId)

- ## Method Details

  - ### get

    public EnazaTransaction get(long orderId) throws SQLException
    Throws:
      `SQLException`

  - ### update

    public void update(EnazaTransaction enazaTransaction) throws SQLException
    Throws:
      `SQLException`

  - ### deleteForContract

    public void deleteForContract(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getList

    public List<EnazaTransaction> getList(int cid) throws SQLException
    Throws:
      `SQLException`